Jump to content

Workstation 8/9/10, Player 4/5/6 and Fusion 4/5/6 Mac OS X Unlocker


  • Please log in to reply
514 replies to this topic

#301
ciwei100000

ciwei100000

    InsanelyMac Protégé

  • Members
  • Pip
  • 4 posts
:thumbsup_anim: Thank you very much

#302
ciwei100000

ciwei100000

    InsanelyMac Protégé

  • Members
  • Pip
  • 4 posts
Why unable to autofit guest even after installing the vmware tools? I use VMware 9.0.1 in win 8 and have installed the VMware SVGA II display driver for OS X, v1.2.5 (http://www.insanelym...58#entry1862994)

thank you!

#303
Zenith432

Zenith432

    InsanelyMac Sage

  • Developers
  • 416 posts
  • Gender:Male

Why unable to autofit guest even after installing the vmware tools? I use VMware 9.0.1 in win 8 and have installed the VMware SVGA II display driver for OS X, v1.2.5 (http://www.insanelym...58#entry1862994)

thank you!

After installing vmware tools, you need to install guestd_patches. This patches vmware tools to do autofit with vmsvga2. (Out of the box, vmware tools only does autofit with vmwaregfx.)

#304
ciwei100000

ciwei100000

    InsanelyMac Protégé

  • Members
  • Pip
  • 4 posts

After installing vmware tools, you need to install guestd_patches. This patches vmware tools to do autofit with vmsvga2. (Out of the box, vmware tools only does autofit with vmwaregfx.)

Really thank u!

#305
trungpt

trungpt

    InsanelyMac Protégé

  • Members
  • Pip
  • 34 posts
This tool is working great with VMware Workstation v9.0.1. I don't have any problems.

Shared Folders, Sound, USB Storage Access and Full Screen are working as expected.
Playing video files, multimedia contents has problem(s) with hardware acceleration but VMWare Fusion v5.0.2, which is supposed to support Mac OS X Lion officially, has the same problem(s).

Dear Dong, do you have any plan to update the tool to make it offically support VMWare Workstation v9.0.1?

#306
sebus

sebus

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 261 posts
  • Gender:Male
  • Location:UK
Workstation 9.01 without unlocker

One can not create Mac VM, but one can import VM & run it. I done it with 10.8.2

sebus

#307
rumpumpel1

rumpumpel1

    InsanelyMac Protégé

  • Members
  • Pip
  • 8 posts
I'm running VMware® Workstation 8.0.2 build-591240 on linux 3.2.0-38-generic.
I applied the Unlocker patch and tried to install iATKOS ML2 from DVD.
The DVD is ok, because I have done a successful installation from this DVD.
The installation in the vmware started ok, but when the window appeared,
where you have to choose your language , the mouse was not working.
The mouse was only working outside the vmware window, but inside the
vmware window it just disappeared. This happens reproducible and only
in the Mac OS vmware. In any other vmware the mouse is working normally.

Any idea what's going wrong ?

#308
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,922 posts
  • Gender:Male
  • Location:Manchester UK

.
I applied the Unlocker patch and tried to install iATKOS ML2 from DVD.

Any idea what's going wrong ?


Yep - only use a retail version of OS X. All these "disros" pack stuff that we don't cater for in VMware. Just go buy a retail copy and you should be good.

#309
MSoK

MSoK

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 934 posts
  • Gender:Male
  • Location:Darlington UK

I'm running VMware® Workstation 8.0.2 build-591240 on linux 3.2.0-38-generic.
I applied the Unlocker patch and tried to install iATKOS ML2 from DVD.
The DVD is ok, because I have done a successful installation from this DVD.
The installation in the vmware started ok, but when the window appeared,
where you have to choose your language , the mouse was not working.
The mouse was only working outside the vmware window, but inside the
vmware window it just disappeared. This happens reproducible and only
in the Mac OS vmware. In any other vmware the mouse is working normally.

Any idea what's going wrong ?

As Donk has said, you need to be using a retail copy of OS X 10.8 (ML) downloaded from the App Store and converted to an ISO. Ideally upgrade to Workstation 9.0.1, as in combination with the "Unlocker" offers full support for ML, or you could use the free Player 5.0.1.

#310
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,922 posts
  • Gender:Male
  • Location:Manchester UK
Minor update. Tested on newer versions of VMware products and a fix for ESXi.

#311
MSoK

MSoK

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 934 posts
  • Gender:Male
  • Location:Darlington UK

Minor update. Tested on newer versions of VMware products and a fix for ESXi.

Just for clarification, Donk is referring to a new release of the "Unlocker" v1.1.1 see link below:

http://www.insanelym...-os-x-unlocker/

or the first post in this thread.

Donk, thanks for the update, MSoK.

#312
ShonuffTank

ShonuffTank

    InsanelyMac Protégé

  • Members
  • Pip
  • 2 posts
Hey Guys,

Got a new Mac Mini with 10.8.2 preinstalled. I need to run Pro Tools 9, which is not compatible with Lion or Mountain Lion. Updating to 9.0.5 is not an option. Anways, I'm trying to use VMware Fusion to install Snow Leopard and run pro tools on my virtual machine.

Here's some specs:


Model Name: Mac mini
Model Identifier: Macmini6,1
Processor Name: Intel Core i5
Processor Speed: 2.5 GHz
Number of Processors: 1
Total Number of Cores: 2
L2 Cache (per Core): 256 KB
L3 Cache: 3 MB
Memory: 4 GB
Boot ROM Version: MM61.0106.B03
SMC Version (system): 2.7f0

I'm currently using VMware Fusion 4.1.3 and have tried patching using Donk's patch. Says successful besides the vmwarebase file.

Any help I can get with this to make Snow Leopard work with Fusion 4.1.3 would be MUCH appreciated!

#313
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,922 posts
  • Gender:Male
  • Location:Manchester UK

Hey Guys,

Got a new Mac Mini with 10.8.2 preinstalled. I need to run Pro Tools 9, which is not compatible with Lion or Mountain Lion. Updating to 9.0.5 is not an option. Anways, I'm trying to use VMware Fusion to install Snow Leopard and run pro tools on my virtual machine.

Here's some specs:

I'm currently using VMware Fusion 4.1.3 and have tried patching using Donk's patch. Says successful besides the vmwarebase file.

Any help I can get with this to make Snow Leopard work with Fusion 4.1.3 would be MUCH appreciated!


I think you will be disappointed as sound in a VM isn't great and I assume you are talking about Avid Pro tools. You would be best just downgrading the Mac Minin to Snow Leopard.

#314
ShonuffTank

ShonuffTank

    InsanelyMac Protégé

  • Members
  • Pip
  • 2 posts

I think you will be disappointed as sound in a VM isn't great and I assume you are talking about Avid Pro tools. You would be best just downgrading the Mac Minin to Snow Leopard.


With that being said I'm trying to install Snow Leopard on a separate partition but I'm getting the panic "unsupported CPU" error! I would much rather just downgrade.

#315
MSoK

MSoK

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 934 posts
  • Gender:Male
  • Location:Darlington UK

With that being said I'm trying to install Snow Leopard on a separate partition but I'm getting the panic "unsupported CPU" error! I would much rather just downgrade.

We had lots of issues with SL in VMware when Core i and Xeon 5600 series processors appeared, and had to use a CPUID mask in VMware to allow the SL DVD (10.6.0 or 10.6.3) to install, once patched to 10.6.4 and above the problem was resolved. I think you would need a slipstreamed (if such a thing exists) OS X 10.6.8 DVD to allow install on a current MiniMac 6,1 or 6,2. You can purchase Mac OS X 10.6 Snow Leopard DVD from the Apple Store, but not sure of the current patch level.

#316
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,922 posts
  • Gender:Male
  • Location:Manchester UK

We had lots of issues with SL in VMware when Core i and Xeon 5600 series processors appeared, and had to use a CPUID mask in VMware to allow the SL DVD (10.6.0 or 10.6.3) to install, once patched to 10.6.4 and above the problem was resolved. I think you would need a slipstreamed (if such a thing exists) OS X 10.6.8 DVD to allow install on a current MiniMac 6,1 or 6,2. You can purchase Mac OS X 10.6 Snow Leopard DVD from the Apple Store, but not sure of the current patch level.


There are ways to do it, and there is a discussion on the Apple forums https://discussions....33107#15733107. Also other sites on web will give you details but cannot be linked from here due to forum rules.

#317
trungpt

trungpt

    InsanelyMac Protégé

  • Members
  • Pip
  • 34 posts
Why a strikethrough for the latest version?

#318
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,922 posts
  • Gender:Male
  • Location:Manchester UK

Why a strikethrough for the latest version?


Because I broke it with a silly mistake.

#319
Zenith432

Zenith432

    InsanelyMac Sage

  • Developers
  • 416 posts
  • Gender:Male
Anyone try to unlocker workstation 9.0.2 yet?

#320
ElCoyote_

ElCoyote_

    InsanelyMac Protégé

  • Members
  • Pip
  • 12 posts
I Used v1.1.1 to unlock 9.0.2 on both Linux (RHEL) and Windows. No issues to report so far.

Anyone try to unlocker workstation 9.0.2 yet?







2 user(s) are reading this topic

0 members, 2 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy